Gravel

  • Gravel Screenshot 1
  • Gravel Screenshot 2
  • Gravel Screenshot 3
  • Gravel Screenshot 4
  • Gravel Screenshot 5
  • Gravel Screenshot 6
  • Gravel Screenshot 7
  • Gravel Screenshot 8
  • Gravel Screenshot 9
  • Gravel Screenshot 10

Region restrictions

Activates within United States
This game has mostly world-wide activation. You will be prompted to select a region during checkout to comply with region restrictions for that area.

Description

Requirements

Windows Requirements:
MINIMUM:
Requires a 64-bit processor and operating system
OS: Windows 7 64-Bit or later
Processor: Intel Core i5-2500, AMD FX-8100 or equivalent
Memory: 8 GB RAM
Graphics: NVIDIA GeForce GTX 760 with 2 GB VRAM or more / AMD Radeon HD 7950 with 2 GB VRAM or more
DirectX: Version 11
Storage: 15 GB available space
Sound Card: DirectX compatible
RECOMMENDED:
Requires a 64-bit processor and operating system
OS: Windows 7 64-Bit or later
Processor: Intel Core i7-2600, AMD FX-8350 or equivalent
Memory: 16 GB RAM
Graphics: NVIDIA GeForce GTX 960 with 4 GB VRAM or more | AMD Radeon R9 380 with 4 GB VRAM or more
DirectX: Version 11
Storage: 15 GB available space
Sound Card: DirectX compatible
  • Requires Steam and a Steam Account to play Windows version.
Linux Requirements:
MINIMUM:
Requires a 64-bit processor and operating system
OS: Ubuntu 16.04 or later, SteamOS 2.0
Processor: Intel Core i5-2500K; AMD FX-6350 or equivalent
Memory: 4 GB RAM
Graphics: Intel Core i5-2500K; AMD FX-6350 or equivalent
Storage: 15 GB available space
Additional Notes: AMD - mesa 18.1 or better / Nvidia - nvidia 390.48 or better / Intel Graphics are unsupported
RECOMMENDED:
Requires a 64-bit processor and operating system
  • Requires Steam and a Steam Account to play Linux version.

Reviews & Comments

2
From 1 Shopper
5
 
0
4
 
0
3
 
0
2
 
1
1
 
0
  1. 4GB VRAM too much for a min requirement

    I was very tempeted to buy this game, but the min requirements of 4GB VRAM is too much for the common mac user. I guess I will have to wait until I can afford a new mac that meets the unrealistic min requirements, or that Devs reconfig the game to a normal min requirements (1.5 - 2) in order for the majority of us can play it.

    by Fanatiko 2.0, Germany - Jul 1st 2020
    Was this helpful? Yes No

More By Milestone S.r.l.